--  Copyright (C) 1998 Pat Rogers.
--  All Rights Reserved.
--
--      This program is free software; you can redistribute it
--      and/or modify it under the terms of the Ada Community
--      License which comes with this Library.
--
--      This program is distributed in the hope that it will be
--      useful, but WITHOUT ANY WARRANTY; without even the implied
--      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
--      PURPOSE. See the Ada Community License for more details.
--      You should have received a copy of the Ada Community
--      License with this library, in the file named "Ada Community
--      License" or "ACL". If not, contact the author of this library
--      for a copy.
--

--  $Id: global_heap.ads,v 1.5 2001/09/23 15:25:10 simon Exp $

with BC.Support.Managed_Storage;
with System.Storage_Pools;

package Global_Heap is

   subtype Pool is BC.Support.Managed_Storage.Pool;
   Storage_Pool : Pool (Chunk_Size => 1024);

   Storage : System.Storage_Pools.Root_Storage_Pool'Class
     renames System.Storage_Pools.Root_Storage_Pool'Class (Storage_Pool);

end Global_Heap;
